[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# RSHash

Standard hash value calculating function.

## Declaration

Source position: contnrs.pp line 507

`function RSHash(`
`const S: string;`
`const TableSize: LongWord`
`):LongWord;`

## Arguments

`S` |  | String to calculate hash value from
`TableSize` |  | Hash table size

## Function result

Hash value

## Description

RSHash is the standard hash calculating function used in the TFPCustomHashTable hash class. It's Robert Sedgwick's "Algorithms in C" hash function.

## Errors

None.

## See also

TFPCustomHashTable |  | Hash class